Bug 37152 - FILEOPEN Writer mis-shifts OLE object in Microsoft Word .doc
Summary: FILEOPEN Writer mis-shifts OLE object in Microsoft Word .doc
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:doc
Depends on:
Blocks: DOC-Objects
  Show dependency treegraph
 
Reported: 2011-05-12 15:05 UTC by Christopher M. Penalver
Modified: 2018-10-01 02:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
pd18.doc (131.50 KB, application/msword)
2011-05-12 15:05 UTC, Christopher M. Penalver
Details
Comparative screenshot of MS Word 2007 and LO Writer 4.3.0 (159.72 KB, image/png)
2014-07-20 10:44 UTC, Alexandr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-05-12 15:05:49 UTC
Created attachment 46649 [details]
pd18.doc

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/36156

OOo bug may be found at:
http://openoffice.org/bugzilla/show_bug.cgi?id=87388

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-proposed/main i386
Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

3) What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/36144/+attachment/8047/+files/pd18.doc && lowriter -nologo pd18.doc

it looks as it does in Word.

4) What happens instead is the OLE object at the top of page 1 is mis-shifted to the left.
Comment 1 Björn Michaelsen 2011-12-23 12:02:05 UTC Comment hidden (obsolete)
Comment 2 Christopher M. Penalver 2012-01-03 14:50:13 UTC
Problem reproducible in:
LOdev 3.5.0beta2 
Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978
Microsoft Windows Vista Business 6.0.6002 Service Pack 2 Build 6002
Comment 3 A (Andy) 2013-01-20 13:44:40 UTC
reproducible with LO 3.6.4.3. (Win7 Home, 64bit)

The file looks different in LO and in Word 2007: 
on page 1 and 5 and regarding the colour of the footer.
Comment 4 Alexandr 2014-07-20 10:44:40 UTC
Created attachment 103135 [details]
Comparative screenshot of MS Word 2007 and LO Writer 4.3.0

Reproducible with LibreOffice 4.2.5 and 4.3.0 on Debian and Windows 7. I attach a screenshot which demonstrates a correct representation and the issue. I do not see any problem with font clor in a footer.
Comment 5 QA Administrators 2015-09-04 02:48:02 UTC Comment hidden (obsolete)
Comment 6 Alexandr 2015-09-19 16:24:12 UTC
Reproducible with LibreOffice 5.0.1 on Debian Jessie.
Comment 7 Robinson Tryon (qubit) 2015-12-14 05:59:31 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2018-10-01 02:53:12 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug